Loading...
Searching...
No Matches
irr::video::IImageLoader Class Referenceabstract

Class which is able to create a image from a file. More...

`#include <IImageLoader.h>`

Inheritance diagram for irr::video::IImageLoader:

## Public Member Functions

virtual bool | isALoadableFileExtension (const io::path &filename) const =0
| Check if the file might be loaded by this class.
virtual bool | isALoadableFileFormat (io::IReadFile *file) const =0
| Check if the file might be loaded by this class.
virtual IImage * | loadImage (io::IReadFile *file) const =0
| Creates a surface from the file.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Class which is able to create a image from a file.

If you want the Irrlicht Engine be able to load textures of currently unsupported file formats (e.g .gif), then implement this and add your new Surface loader with IVideoDriver::addExternalImageLoader() to the engine.

Definition at line 26 of file IImageLoader.h.

## Member Function Documentation

## isALoadableFileExtension()

virtual bool irr::video::IImageLoader::isALoadableFileExtension | ( | const io::path & | filename | ) | const

pure virtual

Check if the file might be loaded by this class.

Check is based on the file extension (e.g. ".tga")

Parameters

  filename | Name of file to check.

Returns
  True if file seems to be loadable.

## isALoadableFileFormat()

virtual bool irr::video::IImageLoader::isALoadableFileFormat | ( | io::IReadFile * | file | ) | const

pure virtual

Check if the file might be loaded by this class.

Check might look into the file.

Parameters

  file | File handle to check.

Returns
  True if file seems to be loadable.

## loadImage()

virtual IImage * irr::video::IImageLoader::loadImage | ( | io::IReadFile * | file | ) | const

pure virtual

Creates a surface from the file.

Parameters

  file | File handle to check.

Returns
  Pointer to newly created image, or 0 upon error.

The documentation for this class was generated from the following file:

- IImageLoader.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0